﻿using System;
using System.Collections.Generic;
using UnityEngine;

namespace Mod
{
	public class Mod : MonoBehaviour
	{

		public static void Main()
		{

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Tank"),
					NameOverride = "M4 Sherman",
					NameToOrderByOverride = "The M4 Sherman",
					DescriptionOverride = "The M4 Sherman, officially Medium Tank, M4, was the most widely used medium tank by the United States and Western Allies in World War II.",
					CategoryOverride = ModAPI.FindCategory("Vehicles"),
					ThumbnailOverride = ModAPI.LoadSprite("Sherman/Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
						Instance.transform.Find("Body").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Body.png");
						Instance.transform.Find("Barrel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Barrel.png");
						Instance.transform.Find("Wheel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel1.png");
						Instance.transform.Find("Wheel (1)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (2)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (3)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (4)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (5)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (6)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (7)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (8)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel1.png");
						



						
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Tank"),
					NameOverride = "M4 Sherman Fury",
					NameToOrderByOverride = "The M4 Sherman Fury",
					DescriptionOverride = "The M4 Sherman Fury, is a modified version of the normal M4 Sherman-Tank. From the movie Fury.",
					CategoryOverride = ModAPI.FindCategory("Vehicles"),
					ThumbnailOverride = ModAPI.LoadSprite("Sherman/Thumb2.png"),
					AfterSpawn = (Instance) =>
					{
						Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
						Instance.transform.Find("Body").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Body2.png");
						Instance.transform.Find("Barrel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Barrel2.png");
						Instance.transform.Find("Wheel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel1.png");
						Instance.transform.Find("Wheel (1)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (2)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (3)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (4)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (5)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (6)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (7)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel0.png");
						Instance.transform.Find("Wheel (8)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sherman/Wheel1.png");
						



						
					}
				}
			);


		}
	}
}

